
From: James Morris <jmorris@redhat.com>

Allow tcrypt module to be unloaded.



 crypto/tcrypt.c |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN crypto/tcrypt.c~tcrypt-module-unload-fix crypto/tcrypt.c
--- 25/crypto/tcrypt.c~tcrypt-module-unload-fix	2003-12-18 08:32:24.000000000 -0800
+++ 25-akpm/crypto/tcrypt.c	2003-12-18 08:32:24.000000000 -0800
@@ -684,7 +684,14 @@ init(void)
 	return 0;
 }
 
+/*
+ * If an init function is provided, an exit function must also be provided
+ * to allow module unload.
+ */
+static void __exit fini(void) { }
+
 module_init(init);
+module_exit(fini);
 
 MODULE_PARM(mode, "i");
 

_
